#!/bin/bash

#
# Validate that the current version of the generated cache_size files match the output
# generated by sizegen.
#

source build.env

first_output=$(git status --porcelain)

make sizegen

second_output=$(git status --porcelain)

diff=$(diff <( echo "$first_output") <( echo "$second_output"))

if [[ "$diff" != "" ]]; then
  echo "ERROR: Regenerated cached_size files do not match the current version."
  echo -e "List of files containing differences:\n$diff"
  exit 1
fi
